Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences
Class RecursiveSequence

    java.lang.Object
      de.jstacs.data.Sequence
          de.jstacs.data.sequences.RecursiveSequence

All Implemented Interfaces:
  Comparable<Sequence>

Direct Known Subclasses:
  PermutedSequence, Sequence.CompositeSequence, Sequence.SubSequence

    public abstract class RecursiveSequence

extends Sequence

This is the main class for subsequences, composite sequences, ... . All these sequences are defined on an existing `Sequence`. After creating an `RecursiveSequence`, no `SequenceAnnotation` of the internally `Sequence` is returned by `Sequence.getAnnotation()`, ...

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.data.Sequence
`Sequence.CompositeSequence, Sequence.SubSequence`

Field Summary
`protected Sequence` | `content` The internal sequence.

Fields inherited from class de.jstacs.data.Sequence
`alphabetCon, annotation, rc`

Constructor Summary
`RecursiveSequence(AlphabetContainer alphabet, Sequence seq)` Creates a new `RecursiveSequence` on the `Sequence` `seq` with the `AlphabetContainer` `alphabet` using the annotation of the given `Sequence`.
`RecursiveSequence(AlphabetContainer alphabet, SequenceAnnotation[] annotation, Sequence seq)` Creates a new `RecursiveSequence` on the `Sequence` `seq` with the `AlphabetContainer` `alphabet` and the annotation `annotation`.

Method Summary
`double` | `continuousVal(int pos)` Returns the continuous value at position `pos` of the `Sequence.CompositeSequence`.
`int` | `discreteVal(int pos)` Returns the discrete value at position `pos` of the `Sequence.CompositeSequence`.
`protected abstract int` | `getIndex(int pos)` Returns the index in the internal sequence.

Methods inherited from class de.jstacs.data.Sequence
`annotate, compareTo, complement, complement, create, create, create, equals, flatCloneWithoutAnnotation, getAlphabetContainer, getAnnotation, getCompositeSequence, getCompositeSequence, getHammingDistance, getLength, getNumberOfSequenceAnnotationsByType, getSequenceAnnotationByType, getSubSequence, getSubSequence, getSubSequence, getSubSequence, hashCode, reverse, reverse, reverseComplement, reverseComplement, toDiscrete, toString, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    protected Sequence content

  The internal sequence.

Constructor Detail

### RecursiveSequence

    public RecursiveSequence(AlphabetContainer alphabet,
                             SequenceAnnotation[] annotation,
                             Sequence seq)

  Creates a new `RecursiveSequence` on the `Sequence` `seq` with the `AlphabetContainer` `alphabet` and the annotation `annotation`.

  Parameters:
    `alphabet` - the `AlphabetContainer`
    `annotation` - the annotation of the `RecursiveSequence`
    `seq` - the sequence
  See Also:
    `Sequence.Sequence(AlphabetContainer, SequenceAnnotation[])`

### RecursiveSequence

    public RecursiveSequence(AlphabetContainer alphabet,
                             Sequence seq)

  Creates a new `RecursiveSequence` on the `Sequence` `seq` with the `AlphabetContainer` `alphabet` using the annotation of the given `Sequence`.

  Parameters:
    `alphabet` - the `AlphabetContainer`
    `seq` - the sequence

Method Detail

### continuousVal

    public double continuousVal(int pos)

  Description copied from class: `Sequence`
  Returns the continuous value at position `pos` of the `Sequence.CompositeSequence`.

  Specified by:
    `continuousVal` in class `Sequence`
  Parameters:
    `pos` - the position of the `Sequence.CompositeSequence`
  Returns:
    the continuous value at position `pos` of the `Sequence.CompositeSequence`

### discreteVal

    public int discreteVal(int pos)

  Description copied from class: `Sequence`
  Returns the discrete value at position `pos` of the `Sequence.CompositeSequence`.

  Specified by:
    `discreteVal` in class `Sequence`
  Parameters:
    `pos` - the position of the `Sequence.CompositeSequence`
  Returns:
    the discrete value at position `pos` of the `Sequence.CompositeSequence`

### getIndex

    protected abstract int getIndex(int pos)

  Returns the index in the internal sequence.

  Parameters:
    `pos` - the index in the external sequence
  Returns:
    the index in the internal sequence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD